%global gittag0 v%{version}

Name:           duperemove
Version:        0.10
Release:        1%{?dist}
Summary:        Tools for deduping file systems
# The entire source code is GPLv2 except *xxhash.* and bloom.* which are BSD
License:        GPLv2 and BSD
URL:            https://github.com/markfasheh/%{name}
Source0:        %{url}/archive/%{gittag0}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  glib2-devel
BuildRequires:  libgcrypt-devel
BuildRequires:  sqlite-devel
BuildRequires:  kernel-headers

%description
Duperemove is a simple tool for finding duplicated extents and 
submitting them for deduplication. When given a list of files it will 
hash their contents on a block by block basis and compare those hashes 
to each other, finding and categorizing extents that match each other.

When given the -d option, duperemove will submit those extents for 
deduplication using the btrfs-extent-same ioctl.

%prep
%autosetup

%build
make %{?_smp_mflags} CFLAGS="%{optflags}"

%install
%make_install SBINDIR=%{_sbindir} MANDIR=%{_mandir}

%files
%doc README.md FAQ.md
%license LICENSE LICENSE.libbloom LICENSE.xxhash
%{_mandir}/man8/*.8*
%{_sbindir}/*

%changelog
* Fri Nov 13 2015 Francesco Frassinelli <fraph24@gmail.com> - 0.10-1
- Version bump; license and minor packaging issues fixed

* Thu Jul 30 2015 Francesco Frassinelli <fraph24@gmail.com> - 0.09.5-2
- %license macro added

* Sun Jul 19 2015 Francesco Frassinelli <fraph24@gmail.com> - 0.09.5-1
- Initial build

